Bug 30461 - Batch authority tool is broken
Summary: Batch authority tool is broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Joonas Kylmälä
URL:
Keywords: rel_21_11_candidate
Depends on: 17600 22417
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-06 09:40 UTC by Jonathan Druart
Modified: 2022-06-16 03:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 30461: Fix BatchUpdateAuthority (1.11 KB, patch)
2022-04-06 09:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30461: Fix BatchUpdateAuthority (1.25 KB, patch)
2022-04-23 18:03 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-04-06 09:40:15 UTC
Use of inherited AUTOLOAD for non-method Koha::BackgroundJob::BatchUpdateAuthority::ModAuthority() is no longer allowed
Comment 1 Jonathan Druart 2022-04-06 09:41:10 UTC
Created attachment 132984 [details] [review]
Bug 30461: Fix BatchUpdateAuthority

Use of inherited AUTOLOAD for non-method Koha::BackgroundJob::BatchUpdateAuthority::ModAuthority() is
no longer allowed

Test plan:
Use the batch authority tools to edit authority record and confirm that
the task processes correctly
Comment 2 Joonas Kylmälä 2022-04-23 18:03:46 UTC
Created attachment 133699 [details] [review]
Bug 30461: Fix BatchUpdateAuthority

Use of inherited AUTOLOAD for non-method Koha::BackgroundJob::BatchUpdateAuthority::ModAuthority() is
no longer allowed

Test plan:
Use the batch authority tools to edit authority record and confirm that
the task processes correctly

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 3 Joonas Kylmälä 2022-04-23 18:04:25 UTC
Trivial fix, straight to PQA.
Comment 4 Fridolin Somers 2022-04-25 20:01:56 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-05-06 14:53:12 UTC
Pushed to 21.11.x for 21.11.06
Comment 6 Victor Grousset/tuxayo 2022-06-16 03:23:35 UTC
Missing dependencies for 21.05.x, it shouldn't be affected, no backport.